package net.ranides.assira.collection.query.support;

import org.junit.Test;

import net.ranides.assira.collection.query.CQuery;

import java.util.Arrays;

import static org.junit.Assert.*;

public class BaseIterableTest {

    @Test
    public void array() {
        Integer[] input = {1, 2, 3, 4, 5};
        CQuery<Integer> query = CQuery.from().array(input);
        Integer[] out = BaseIterable.array(query, Integer[]::new);

        assertArrayEquals(input, out);
    }
}